using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.AE
{
    /// <summary>
    /// 导航属性：事故种类
    /// </summary>
    [Description("导航属性： 事故种类")]
    public class T_AE_ACCIDENT_EVENT_REPORT_LIST_KIND : MesEntityBase
    {
        /// <summary>
        /// 事故事件上报表ID
        /// </summary>
        [Description("事故事件上报表ID")]
        [DataFieldForeignKey("Nav_EventReport", "Nav_ListAccidentListKind")]
        public Guid REPORT_ID { get; set; }

        /// <summary>
        /// 导航属性：事故事件上报表
        /// </summary>
        [Description("导航属性：事故事件上报表")]
        public virtual T_AE_ACCIDENT_EVENT_REPORT Nav_EventReport { get; set; }

        /// <summary>
        /// 事故种类ID
        /// </summary>
        [Description("事故种类ID")]
        [DataFieldForeignKey("Nav_AccidentKind")]
        public Guid KIND_ID { get; set; }

        /// <summary>
        /// 导航属性：事故种类
        /// </summary>
        [Description("导航属性：事故种类")]
        public virtual T_AE_ACCIDENT_KIND Nav_AccidentKind { get; set; }
    }
}
